Share via


Offerings - List

Returns the list of all provider offerings available for the given location.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Quantum/locations/{locationName}/offerings?api-version=2025-12-15-preview
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Quantum/locations/{locationName}/offerings?api-version=2025-12-15-preview&filter={filter}

URI Parameters

Name In Required Type Description
locationName
path True

string

minLength: 1
maxLength: 90
pattern: [a-z][a-z0-9]+

Location.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

filter
query

string

The filter to apply to the operation. Example: '$filter=kind eq 'v1'

Responses

Name Type Description
200 OK

OfferingsListResult

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Offerings_List

Sample request

GET https://management.azure.com/subscriptions/1C4B2828-7D49-494F-933D-061373BE28C2/providers/Microsoft.Quantum/locations/westus2/offerings?api-version=2025-12-15-preview

Sample response

{
  "value": [
    {
      "id": "QIO",
      "name": "Quantum Inspired Optimization",
      "properties": {
        "description": "Provide Quantum Inspired Optimization solvers",
        "targets": [
          {
            "name": "CPU annealer",
            "id": "p1",
            "description": "CPU annealer algorithm",
            "numQubits": 80,
            "targetProfile": "unrestricted",
            "metadata": {
              "key": "value"
            }
          }
        ],
        "skus": [
          {
            "name": "Standard",
            "id": "Standard",
            "version": "1.0",
            "description": "Provider CPU and FPGA QIO based solver.",
            "restrictedAccessUri": "https://endpoint",
            "autoAdd": true,
            "targets": [
              "p1"
            ],
            "quotaDimensions": [
              {
                "id": "quota1",
                "scope": "Workspace"
              }
            ],
            "pricingDetails": [
              {
                "id": "price",
                "value": "200 dollars"
              },
              {
                "id": "rate",
                "value": "10 hours/month"
              }
            ]
          }
        ],
        "quotaDimensions": [
          {
            "id": "job-count",
            "scope": "Workspace",
            "period": "Monthly",
            "quota": 30,
            "name": "Job count",
            "description": "The number of jobs you may submit per month",
            "unit": "job",
            "unitPlural": "jobs"
          },
          {
            "id": "job-hour",
            "scope": "Subscription",
            "period": "Monthly",
            "quota": 1000,
            "name": "Job hours",
            "description": "The number of hours of solver time you may use per month",
            "unit": "hour",
            "unitPlural": "hours"
          }
        ],
        "pricingDimensions": [
          {
            "id": "price",
            "name": "Pricing"
          },
          {
            "id": "rate",
            "name": "Minimum monthly rate"
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

OfferingsListResult

The response of a list Providers operation.

PricingDetail

Detailed pricing information for an sku.

PricingDimension

Information about pricing dimension.

ProviderDescription

Information about an offering. A provider offering is an entity that offers Targets to run Azure Quantum Jobs.

ProviderProperties

Provider properties.

ProviderPropertiesAad

Azure Active Directory info.

ProviderPropertiesManagedApplication

Provider's Managed-Application info

QuotaDimension

Information about a specific quota dimension.

SkuDescription

Information about a specific sku.

TargetDescription

Information about a Target. A target is the component that can process a specific type of Job.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

OfferingsListResult

The response of a list Providers operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ProviderDescription[]

The ProviderDescription items on this page

PricingDetail

Detailed pricing information for an sku.

Name Type Description
id

string

Unique id for this pricing information.

value

string

The unit cost of this sku.

PricingDimension

Information about pricing dimension.

Name Type Description
id

string

Unique id of this pricing dimension.

name

string

The display name of this pricing dimension.

ProviderDescription

Information about an offering. A provider offering is an entity that offers Targets to run Azure Quantum Jobs.

Name Type Description
id

string

Unique provider's id.

name

string

Provider's display name.

properties

ProviderProperties

Provider properties.

ProviderProperties

Provider properties.

Name Type Description
aad

ProviderPropertiesAad

Azure Active Directory info.

company

string

Company name.

defaultEndpoint

string

Provider's default endpoint.

description

string

A description about this provider.

managedApplication

ProviderPropertiesManagedApplication

Provider's Managed-Application info

pricingDimensions

PricingDimension[]

The list of pricing dimensions from the provider.

providerType

string

Provider type.

quotaDimensions

QuotaDimension[]

The list of quota dimensions from the provider.

skus

SkuDescription[]

The list of skus available from this provider.

targets

TargetDescription[]

The list of targets available from this provider.

ProviderPropertiesAad

Azure Active Directory info.

Name Type Description
applicationId

string

Provider's application id.

tenantId

string

Provider's tenant id.

ProviderPropertiesManagedApplication

Provider's Managed-Application info

Name Type Description
offerId

string

Provider's offer id.

publisherId

string

Provider's publisher id.

QuotaDimension

Information about a specific quota dimension.

Name Type Description
description

string

A description about this quota dimension.

id

string

Unique id of this dimension.

name

string

The display name of this quota dimension.

period

string

The reset period of this quota dimension.

quota

number (float)

The max limit of this dimension.

scope

string

The scope of this quota dimension.

unit

string

The standard unit of measurement used for this quota dimension.

unitPlural

string

The standard unit of measurement used for this quota dimension in plural form.

SkuDescription

Information about a specific sku.

Name Type Description
autoAdd

boolean

Flag to indicate whether the sku should be automatically added during workspace creation.

description

string

Description about this sku.

id

string

Unique sku id.

name

string

Display name of this sku.

pricingDetails

PricingDetail[]

The list of pricing details for the sku.

quotaDimensions

QuotaDimension[]

The list of quota dimensions for this sku.

restrictedAccessUri

string

Uri to subscribe to the restricted access sku.

targets

string[]

The list of targets available for this sku.

version

string

Display name of this sku.

TargetDescription

Information about a Target. A target is the component that can process a specific type of Job.

Name Type Description
acceptedContentEncodings

string[]

List of content encodings accepted by this target.

acceptedDataFormats

string[]

List of data formats accepted by this target.

description

string

A description about this target.

id

string

Unique target id.

metadata

The metadata of this target.

name

string

Display name of this target.

numQubits

integer (int32)

minimum: 1
maximum: 100000

The qubit number

targetProfile

string

Target QIR profile